%global debug_package %nil

%define sdk_name 3.1.7

Name:          emsdk
Version:       1.3
Release:       1%{?dist}
Summary:       Emscripten SDK using RHEL system compiler and libraries
License:       LGPLv2+
URL:           https://github.com/emscripten-core/emsdk
Source0:       emsdk-redhat-%{sdk_name}.tar.gz
Source1:       dot-emscripten
Source2:       emsdk_env.sh

BuildRequires: python3 python3-devel

ExclusiveArch: x86_64

Requires: llvm lld clang
Requires: python3
Requires: nodejs

# emcc requires a specific binaryen version
Requires: binaryen = 106


%description
Red Hat Platform Emscripten SDK, based on SDK %{sdk_name}

%prep
%autosetup -p1 -n emsdk-redhat

%build
# Fix up python shebangs so rpm doesn't complain
find ./ -name "*.py" -exec pathfix.py -i %{__python3} -pn {} \;
%py3_shebang_fix \
  emcc emar emranlib emscons emconfigure emrun em++ emcmake emmake em-config

%install
mkdir -p %{buildroot}/opt/
mkdir -p %{buildroot}/opt/%{name}/
cp -R ./ %{buildroot}/opt/%{name}/
install -m644 %{SOURCE1} %{buildroot}/opt/%{name}/.emscripten
install -m644 %{SOURCE2} %{buildroot}/opt/%{name}/emsdk_env.sh

%files
/opt/%{name}

%changelog
